Package com.xebialabs.xlrelease.domain.runner

## Class JobRunner

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.BaseConfiguration
    - - com.xebialabs.xlrelease.domain.Configuration
      - - com.xebialabs.xlrelease.domain.runner.JobRunner

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`
  Direct Known Subclasses:
    `RemoteJobRunner`

      public abstract class JobRunner
      extends Configuration

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JobRunner()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract void` | `abortJob​(long jobId)` |
    `abstract java.lang.Integer` | `capacity()` |
    `abstract void` | `delete()` |
    `abstract java.lang.Integer` | `evictionTime()` |
    `abstract java.lang.String` | `execute​(RemoteExecution remoteExecution)` |
    `abstract java.util.Set<java.lang.String>` | `getCapabilities()` |
    `abstract java.lang.Integer` | `idleTimeToLive()` |
    `abstract boolean` | `isAvailable()` |
    `abstract boolean` | `isEnabled()` |
    `abstract boolean` | `isEncryptJobData()` |
    `abstract void` | `start()` |
    `abstract void` | `stop()` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.Configuration

      `getTitle, getVariableMapping, hasVariableMapping, setTitle, setVariableMapping`

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

      `getFolderId, hasId, setFolderId`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JobRunner

          public JobRunner()

  - ### Method Detail

    - #### abortJob

          public abstract void abortJob​(long jobId)

    - #### capacity

          public abstract java.lang.Integer capacity()

    - #### delete

          public abstract void delete()

    - #### evictionTime

          public abstract java.lang.Integer evictionTime()

    - #### execute

          public abstract java.lang.String execute​(RemoteExecution remoteExecution)

    - #### getCapabilities

          public abstract java.util.Set<java.lang.String> getCapabilities()

    - #### idleTimeToLive

          public abstract java.lang.Integer idleTimeToLive()

    - #### isAvailable

          public abstract boolean isAvailable()

    - #### isEnabled

          public abstract boolean isEnabled()

    - #### isEncryptJobData

          public abstract boolean isEncryptJobData()

    - #### start

          public abstract void start()

    - #### stop

          public abstract void stop()